A user's consent per purpose, its enforcement and the ledger
Authorization
bearerAuth AuthorizationBearer <token>
Session token issued by the accounts service (or the legacy /v1/auth routes).
In: header
Query Parameters
user_id?string
user_uuid?string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/privacy/consent"{ "history": [ { "actor": "project_credentials", "purpose": "analytics", "recorded_at": "2026-09-13T12:30:45Z", "source": "cookie_banner", "state": "withdrawn" } ], "history_truncated": false, "purposes": [ { "actor": "project_credentials", "enforced": true, "purpose": "analytics", "recorded_at": "2026-09-13T12:30:45Z", "source": "cookie_banner", "state": "withdrawn" }, { "enforced": false, "purpose": "profile_enrichment", "state": "unknown" } ], "suppressions": [ { "created_at": "2026-09-13T12:30:45Z", "reason": "consent_withdrawn:analytics", "user_id": "user_12345" } ], "user_id": "user_12345", "user_uuid": "00000000-0000-0000-8b20-15635fadf462"}